java.nio.file.attribute

## Interface FileAttribute<T>

- Type Parameters:
    `T` - The type of the file attribute value

      public interface FileAttribute<T>

  An object that encapsulates the value of a file attribute that can be set atomically when creating a new file or directory by invoking the `createFile` or `createDirectory` methods.
  Since:
    1.7
  See Also:
    `PosixFilePermissions.asFileAttribute(java.util.Set<java.nio.file.attribute.PosixFilePermission>)`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `name()` Returns the attribute name.
    `T` | `value()` Returns the attribute value.

- - ### Method Detail

    - #### name

          String name()

      Returns the attribute name.

    - #### value

          T value()

      Returns the attribute value.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.